// ======================================================================
// DotProduct2 Terrain blending
// ======================================================================
textures/battery_recharged/ter_sand2gravel
{
      qer_editorimage textures/battery_recharged/ter_sand2gravel.tga
	surfaceparm gravelsteps
	surfaceparm landmine	
	
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )

	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/battery_recharged/sand_disturb_desert.tga	// Primary
		rgbGen identity
	}
	{
		map textures/battery_recharged/ter_sand_gravels_bright.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/battery_recharged/ter_sand2wave
{
      qer_editorimage textures/battery_recharged/ter_sand2wave.tga
	surfaceparm gravelsteps
	surfaceparm landmine	
	
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )

	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/battery_recharged/sand_disturb_desert.tga	// Primary
		rgbGen identity
	}
	{
		map textures/battery_recharged/ter_sand_wave_desert.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/battery_recharged/ter_rock2gravel
{
      qer_editorimage textures/battery_recharged/ter_rock2gravel.tga
	surfaceparm gravelsteps
	
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )

	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/temperate_sd/rock_grayvar.tga	// Primary
		rgbGen identity
	}
	{
		map textures/battery_recharged/ter_sand_gravels_bright.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

textures/battery_recharged/ter_rock2wave
{
      qer_editorimage textures/battery_recharged/ter_rock2wave.tga
	surfaceparm gravelsteps
	
	q3map_nonplanar
	q3map_shadeangle 179
	q3map_tcGen ivector ( 256 0 0 ) ( 0 256 0 )

	q3map_alphaMod dotproduct2 ( 0.0 0.0 0.75 )
	{
		map textures/temperate_sd/rock_grayvar.tga	// Primary
		rgbGen identity
	}
	{
		map textures/battery_recharged/ter_sand_wave_desert.tga	// Secondary
		blendFunc GL_SRC_ALPHA GL_ONE_MINUS_SRC_ALPHA
		alphaFunc GE128
		rgbGen identity
		alphaGen vertex
	}
	{
		map $lightmap
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
}

// ======================================================================
// alpha fade shaders
// (c) 2004 randy reddig
// http://www.shaderlab.com
// distribution, in part or in whole, in any medium, permitted
// ======================================================================
//
// These shaders are not fixed to this directory location, they can
// be moved around. They exist here for convenience only.
//
textures/battery_recharged/alpha_000	// Primary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/battery_recharged/alpha_025
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.25
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/battery_recharged/alpha_050	// Perfect mix of both Primary + Secondary
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.50
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/battery_recharged/alpha_075
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.75
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/battery_recharged/alpha_085
{
	q3map_alphaMod volume
	q3map_alphaMod set 0.85
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}

textures/battery_recharged/alpha_100	// Secondary texture ONLY
{
	q3map_alphaMod volume
	q3map_alphaMod set 1.0
	surfaceparm nodraw
	surfaceparm nonsolid
	surfaceparm trans
	qer_trans 0.75
}